|
|
3888c9 |
From 7e401546ec38b3b5858136e93aeeffb93e496556 Mon Sep 17 00:00:00 2001
|
|
|
3888c9 |
From: Lukas Nykryn <lnykryn@redhat.com>
|
|
|
3888c9 |
Date: Tue, 10 Jan 2023 10:43:50 +0100
|
|
|
3888c9 |
Subject: [PATCH] fix(dracut-init): use ldconfig directly instead of
|
|
|
3888c9 |
DRACUT_LDCONFIG
|
|
|
3888c9 |
|
|
|
3888c9 |
RHEL-only
|
|
|
3888c9 |
Resolves: #2141480
|
|
|
3888c9 |
---
|
|
|
3888c9 |
dracut-init.sh | 2 +-
|
|
|
3888c9 |
1 file changed, 1 insertion(+), 1 deletion(-)
|
|
|
3888c9 |
|
|
|
3888c9 |
diff --git a/dracut-init.sh b/dracut-init.sh
|
|
|
3888c9 |
index 5df2e583..b6708288 100644
|
|
|
3888c9 |
--- a/dracut-init.sh
|
|
|
3888c9 |
+++ b/dracut-init.sh
|
|
|
3888c9 |
@@ -448,7 +448,7 @@ build_ld_cache() {
|
|
|
3888c9 |
for f in "$dracutsysrootdir"/etc/ld.so.conf "$dracutsysrootdir"/etc/ld.so.conf.d/*; do
|
|
|
3888c9 |
[[ -f $f ]] && inst_simple "${f#$dracutsysrootdir}"
|
|
|
3888c9 |
done
|
|
|
3888c9 |
- if ! $DRACUT_LDCONFIG -r "$initdir" -f /etc/ld.so.conf; then
|
|
|
3888c9 |
+ if ! ldconfig -r "$initdir" -f /etc/ld.so.conf; then
|
|
|
3888c9 |
if [[ $EUID == 0 ]]; then
|
|
|
3888c9 |
derror "ldconfig exited ungracefully"
|
|
|
3888c9 |
else
|
|
|
3888c9 |
|